org.apache.catalina.startup

## Class HostRuleSet

- java.lang.Object
- - org.apache.tomcat.util.digester.RuleSetBase
  - - org.apache.catalina.startup.HostRuleSet

- All Implemented Interfaces:
    RuleSet

      public class HostRuleSet
      extends RuleSetBase

  RuleSet for processing the contents of a Host definition element. This `RuleSet` does NOT include any rules for nested Context which should be added via instances of `ContextRuleSet`.

  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `prefix` The matching pattern prefix to use for recognizing our elements.

    - ### Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase

      `namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
    `HostRuleSet(String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRuleInstances(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

    - ### Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase

      `getNamespaceURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prefix

          protected final String prefix

      The matching pattern prefix to use for recognizing our elements.

  - ### Constructor Detail

    - #### HostRuleSet

          public HostRuleSet()

      Construct an instance of this `RuleSet` with the default matching pattern prefix.

    - #### HostRuleSet

          public HostRuleSet(String prefix)

      Construct an instance of this `RuleSet` with the specified matching pattern prefix.
      Parameters:
        `prefix` - Prefix for matching pattern rules (including the trailing slash character)

  - ### Method Detail

    - #### addRuleInstances

          public void addRuleInstances(Digester digester)

      Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

      Specified by:
        `addRuleInstances` in interface `RuleSet`
      Specified by:
        `addRuleInstances` in class `RuleSetBase`
      Parameters:
        `digester` - Digester instance to which the new Rule instances should be added.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.